/// File : loadimg.h
/// Purpose : Contains fonctions used to load/save images from files

#ifndef LOADIMG_H
#define LOADIMG_H
#include "debugapi.h"
#include "ocrdefs.h"

///Load / save fonctions
Image *load_image(_in_ const char *path);
//Loads an image from a file, returns NULL if unsucessful, safe

bool save_image(_in_ Image *img, _in_ const char *path);
//Saves an image in a file

void setoverwrite(bool b);
//Defines if we should prompt user before overwriting a file

#endif // IMAGEMANIPULATION_H
