/// stack.h
///Purpose : stack management
///WARNING : This stack is NOT concurrent
///Last modified by : BLUESCREEN

#ifndef QUEUE_H
#define QUEUE_H
#include "ocrdefs.h"
typedef struct
{
    void *data;
    void *previous;//Type not definided yet
    void *next;
} QueueNode;
typedef struct
{
    QueueNode *first;
    QueueNode *last;
    USHORT count;
} Queue;

Queue *createqueue();
//Creates a stack

void push(_inout_ Queue*, _in_ void *data);
//adds an element at the end

void *pop(_inout_ Queue*);
//deletes last element from stack and returns it

void freequeue(_inout_ Queue*);
//deletes stack and all elements

bool isqueueempty(_in_ Queue*);
//returns true if stack is empty

USHORT queue_count(_in_ Queue*);
//returns elements count from Stack


#endif
